Loading...
Searching...
No Matches
casacore::MVTime::Format Class Reference

Format structure. More...

`#include <MVTime.h>`

## Public Member Functions

| Format (MVTime::formatTypes intyp=MVTime::TIME, uInt inprec=0)
| Format (uInt inprec)
| Format (uInt intyp, uInt inprec)
| Construct from type and precision (present due to overlaoding problems).

## Private Attributes

MVTime::formatTypes | typ
uInt | prec

## Friends

class | MVTime

## Detailed Description

Format structure.

Definition at line 312 of file MVTime.h.

## Constructor & Destructor Documentation

## Format() [1/3]

casacore::MVTime::Format::Format | ( | MVTime::formatTypes | intyp = MVTime::TIME,
|  | uInt | inprec = 0 )

inline

Definition at line 315 of file MVTime.h.

References prec, casacore::MVTime::TIME, and typ.

## Format() [2/3]

casacore::MVTime::Format::Format | ( | uInt | inprec | ) |

inline

Definition at line 318 of file MVTime.h.

References MVTime, prec, casacore::MVTime::TIME, and typ.

## Format() [3/3]

casacore::MVTime::Format::Format | ( | uInt | intyp,
|  | uInt | inprec )

inline

Construct from type and precision (present due to overlaoding problems).

Definition at line 321 of file MVTime.h.

References MVTime, prec, and typ.

## Friends And Related Symbol Documentation

## MVTime

friend class MVTime

friend

Definition at line 314 of file MVTime.h.

References MVTime.

Referenced by Format(), Format(), and MVTime.

## Member Data Documentation

## prec

uInt casacore::MVTime::Format::prec

private

Definition at line 325 of file MVTime.h.

Referenced by Format(), Format(), and Format().

## typ

MVTime::formatTypes casacore::MVTime::Format::typ

private

Definition at line 324 of file MVTime.h.

Referenced by Format(), Format(), and Format().

The documentation for this class was generated from the following file:

- casa/Quanta/MVTime.h